Bug 159626 - New port: dns/radns IPv6 DNS server address autoconfiguration client
Summary: New port: dns/radns IPv6 DNS server address autoconfiguration client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-09 11:00 UTC by Michael Cardell Widerkrantz
Modified: 2011-09-28 10:54 UTC (History)
0 users

See Also:


Attachments
file.shar (4.74 KB, text/plain)
2011-08-09 11:00 UTC, Michael Cardell Widerkrantz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Cardell Widerkrantz 2011-08-09 11:00:23 UTC
radns is an IPv6 DNS server address autoconfiguration client. It
listens for IPv6 Router Advertisements with the Recursive DNS Server
(RDNSS) and the DNS Search List (DNSSL) options and stores the search
list and address(es) in a file in the same syntax as resolv.conf(5).

Fix: Patch attached with submission follows:
Comment 1 Michael Cardell Widerkrantz 2011-08-09 12:01:54 UTC
Oops! Forgot to include the patches to the /usr/ports/UIDs and ...GIDs
files. Sorry.

If 949 is already taken, please assign a new UID and GID for radns.
Thanks.

--- /usr/ports/UIDs~	2011-08-01 12:48:44.000000000 +0200
+++ /usr/ports/UIDs	2011-08-01 12:48:44.000000000 +0200
@@ -216,4 +216,5 @@
 dbxml:*:945:945::0:0:& user:/nonexistent:/sbin/nologin
 sybase:*:946:946::0:0:& user:/usr/local/sybase-ase:/sbin/nologin
 dnrd:*:948:948::0:0:& user:/nonexistent:/sbin/nologin
+radns:*:949:949::0:0:radns user:/nonexistent:/sbin/nologin
 nobody:*:65534:65534::0:0:Unprivileged user:/nonexistent:/usr/sbin/nologin

--- /usr/ports/GIDs~	2011-08-01 12:48:43.000000000 +0200
+++ /usr/ports/GIDs	2011-08-01 12:48:43.000000000 +0200
@@ -212,5 +212,6 @@
 sybase:*:946:
 gnokii:*:947:
 dnrd:*:948:
+radns:*:949:
 conquest:*:950:
 nobody:*:65534:

-- 
http://hack.org/mc/
Use plain text e-mail, please. HTML messages silently dropped.
OpenPGP welcome, 0xE4C92FA5.
Comment 2 Baptiste Daroussin freebsd_committer 2011-09-28 10:22:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-09-28 10:48:25 UTC
bapt        2011-09-28 09:48:16 UTC

  FreeBSD ports repository

  Modified files:
    dns                  Makefile 
  Added files:
    dns/radns            Makefile distinfo pkg-descr pkg-plist 
    dns/radns/files      pkg-message.in radns.in 
  Log:
  Router Advertisement DNS (radns)
  
  radns is an IPv6 DNS server address autoconfiguration client. It
  listens for IPv6 Router Advertisements with the Recursive DNS Server
  (RDNSS) and the DNS Search List (DNSSL) options and stores the search
  list and address(es) in a file in the same syntax as resolv.conf(5).
  
  WWW: http://hack.org/mc/hacks/radns/
  
  PR:             ports/159626
  Submitted by:   Michael Cardell Widerkrantz <mc@hack.org>
  
  Revision  Changes    Path
  1.139     +1 -0      ports/dns/Makefile
  1.1       +43 -0     ports/dns/radns/Makefile (new)
  1.1       +2 -0      ports/dns/radns/distinfo (new)
  1.1       +13 -0     ports/dns/radns/files/pkg-message.in (new)
  1.1       +70 -0     ports/dns/radns/files/radns.in (new)
  1.1       +8 -0      ports/dns/radns/pkg-descr (new)
  1.1       +4 -0      ports/dns/radns/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Baptiste Daroussin freebsd_committer 2011-09-28 10:54:13 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!